Debian Bug report logs - #331267
xchat: bashisms in debian/rules

version graph

Package: xchat; Maintainer for xchat is Davide Puricelli (evo) <evo@debian.org>; Source for xchat is src:xchat.

Reported by: Michael Spang <mspang@twcny.rr.com>

Date: Sun, 2 Oct 2005 18:33:56 UTC

Severity: important

Tags: fixed, patch

Merged with 376375

Found in versions xchat/2.4.5-2, xchat/2.6.4-2

Fixed in version xchat/2.8.2-1

Done: Davide Puricelli (evo) <evo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#331267; Package xchat. Full text and rfc822 format available.

Acknowledgement sent to Michael Spang <mspang@twcny.rr.com>:
New Bug report received and forwarded. Copy sent to Davide Puricelli (evo) <evo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Spang <mspang@twcny.rr.com>
To: submit@bugs.debian.org
Subject: xchat: bashisms in debian/rules
Date: Sun, 02 Oct 2005 14:25:56 -0400
[Message part 1 (text/plain, inline)]
Subject: xchat: bashisms in debian/rules
Package: xchat
Version: 2.4.5-2
Severity: normal
Tags: patch

Brace expansion is used in debian/rules, and this breaks when dash is 
installed as /bin/sh. A simple SHELL=/bin/bash at the top of rules fixes 
this.

-- System Information:
Debian Release: testing/unstable
 APT prefers unstable
 APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.13-rc6-tyr
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages xchat depends on:
ii  libatk1.0-0               1.10.3-1       The ATK accessibility toolkit
ii  libc6                     2.3.5-6        GNU C Library: Shared 
libraries an
ii  libglib2.0-0              2.8.1-1        The GLib library of C routines
ii  libgtk2.0-0               2.6.10-1       The GTK+ graphical user 
interface

[xchat-rules-bashisms.patch (text/x-patch, inline)]
diff -u -r xchat-2.4.5-old/debian/rules xchat-2.4.5/debian/rules
--- xchat-2.4.5-old/debian/rules	2005-10-02 14:24:18.000000000 -0400
+++ xchat-2.4.5/debian/rules	2005-10-02 14:24:36.000000000 -0400
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # -*- Makefile -*-
 
+SHELL=/bin/bash
+
 include /usr/share/dpatch/dpatch.make
 
 export pythonpath=/usr/bin/python2.3

Information forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#331267; Package xchat. Full text and rfc822 format available.

Acknowledgement sent to Michael Spang <mspang@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Davide Puricelli (evo) <evo@debian.org>. Full text and rfc822 format available.

Message #10 received at 331267@bugs.debian.org (full text, mbox):

From: Michael Spang <mspang@twcny.rr.com>
To: 331267@bugs.debian.org
Subject: Anyone around?
Date: Sun, 19 Feb 2006 12:42:18 -0500
This should have been patched months ago. Why hasn't it been?

Thanks,
Michael Spang



Tags removed: patch Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 331267 376375. Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Bart Martens <bartm@knars.be> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#331267; Package xchat. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@knars.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 331267-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@knars.be>
To: 331267-quiet@bugs.debian.org, control@bugs.debian.org
Subject: xchat: bashisms in debian/rules
Date: Sat, 05 Aug 2006 17:25:23 +0200
[Message part 1 (text/plain, inline)]
tags 331267 patch
stop


The attached patch should fix the bug.

[patch331267.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Davide Puricelli (evo) <evo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Spang <mspang@twcny.rr.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 331267-close@bugs.debian.org (full text, mbox):

From: Davide Puricelli (evo) <evo@debian.org>
To: 331267-close@bugs.debian.org
Subject: Bug#331267: fixed in xchat 2.8.2-1
Date: Sun, 10 Jun 2007 15:47:06 +0000
Source: xchat
Source-Version: 2.8.2-1

We believe that the bug you reported is fixed in the latest version of
xchat, which is due to be installed in the Debian FTP archive:

xchat-common_2.8.2-1_all.deb
  to pool/main/x/xchat/xchat-common_2.8.2-1_all.deb
xchat_2.8.2-1.diff.gz
  to pool/main/x/xchat/xchat_2.8.2-1.diff.gz
xchat_2.8.2-1.dsc
  to pool/main/x/xchat/xchat_2.8.2-1.dsc
xchat_2.8.2-1_amd64.deb
  to pool/main/x/xchat/xchat_2.8.2-1_amd64.deb
xchat_2.8.2.orig.tar.gz
  to pool/main/x/xchat/xchat_2.8.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 331267@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Davide Puricelli (evo) <evo@debian.org> (supplier of updated xchat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 10 Jun 2007 14:55:55 +0200
Source: xchat
Binary: xchat xchat-common
Architecture: source amd64 all
Version: 2.8.2-1
Distribution: unstable
Urgency: low
Maintainer: Davide Puricelli (evo) <evo@debian.org>
Changed-By: Davide Puricelli (evo) <evo@debian.org>
Description: 
 xchat      - IRC client for X similar to AmIRC
 xchat-common - Common files for X-Chat
Closes: 331267 376375 385374 387705 387836
Changes: 
 xchat (2.8.2-1) unstable; urgency=low
 .
   * The "Mara Santangelo" release.
   * New upstream version.
   * Removed 03_patch397312.dpatch, now shipped upstream.
   * Added 52_fix_tray_zombies.dpatch to fix defunc processes created by
     opening tray balloons.
   * Acknowledge NMU; closes: #387836, #331267, #376375, #385374, #387705.
   * Back to work on BTS old xchat bugs now ...
Files: 
 782c16cb1aee526fdadd5b49ebb6eed3 838 net optional xchat_2.8.2-1.dsc
 6764288f246cd9be8a9924919f9e983f 1988898 net optional xchat_2.8.2.orig.tar.gz
 d9b91eca805ef564aa96915a1dc8f3d0 22310 net optional xchat_2.8.2-1.diff.gz
 016fcf738c590e3554af90aafc7d6e99 1003548 net optional xchat-common_2.8.2-1_all.deb
 426b1e81f6f5ca485876e946c6beca08 334802 net optional xchat_2.8.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGbBnKNHp9kxdgFe0RAqFRAKCAkHbxXytm8XbSJDNsuEYQ6Mmp6QCcDxrk
QhlJ/xTxiT2/YAvXiNc1ARY=
=kCot
-----END PGP SIGNATURE-----




Reply sent to Davide Puricelli (evo) <evo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2007 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:41:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.